﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Test
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private List<TestData> mData = new List<TestData>();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            mData.Add(new TestData(State.Half, 12.6m));
            mData.Add(new TestData(State.Full, 123.89m));
            mData.Add(new TestData(State.Empty, 5m));
            mData.Add(new TestData(State.Full, 45.7m));
            mData.Add(new TestData(State.Half, 23.7m));

            xamDataGrid1.DataSource = mData;

            Style firstFieldStyle = this.Resources["comboEditorStyle"] as Style;
            xamDataGrid1.DefaultFieldLayout.Fields[0].Settings.EditorStyle = firstFieldStyle;
            Style secondFieldStyle=this.Resources["currencyEditorStyle"] as Style;
            xamDataGrid1.DefaultFieldLayout.Fields[1].Settings.EditorStyle = secondFieldStyle;
        }
    }
}
